Subject: Re: bug#1848: 23.0.60; isearch-forward fails to find colon characters in Info buffers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Jan 2009 21:05:59 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Mon, 12 Jan 2009 10:21:48 -0500
> Cc: [email-masked], Brent Goodrick <[email-masked]>
> 
> >> That's correct, in Emacs 23 C-s doesn't find invisible characters
> >> in Info.  This is an intentional change, not a bug.  Please see
> >> http://thread.gmane.org/gmane.emacs.devel/95142
> 
> > I found it a bit confusing that setting search-invisible to t makes no
> > difference to the behaviour here. Should Info-search-success-function
> > respect search-invisible?
> 
> I'd say yes.  Does anyone object?

I don't object, but wouldn't it be confusing to have it "find" the
colon, without the colon being visible?  Perhaps we should make it
temporarily visible?